<?php
/* @var $this KundenController */
/* @var $model Kunden */

$this->breadcrumbs=array(
	//'Kunden'=>array('index'),
	//$model->Name,
);

$this->menu=array(
	//array('label'=>'List Kunden', 'url'=>array('index')),
	//array('label'=>'Update Kunden', 'url'=>array('update', 'id'=>$model->ID)),
	//array('label'=>'Delete Kunden', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->ID),'confirm'=>'Are you sure you want to delete this item?')),
	//array('label'=>'Manage Kunden (F1)', 'url'=>array('admin')),
    //array('label'=>'Create Kunden (F2)', 'url'=>array('create')),
);
?>

<h1>Kundenabrechnung für Kunde <?php echo $model->KundenNr.": ".$model->Name.""; ?></h1>
Abrechnung erstellt am <?php echo date("d.m.Y");?> um <?php echo date("H:i:s");?>.<br>

<br><h3>Kundendaten:</h3>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
		'KundenNr',
		'Name',
		'Telefon',
	),
)); ?>

<?php if($model->AbgerechnetFlag=="Ja"): ?>
    <br><h3>Error:</h3>
    Dieser Kunde wurde bereits am/um: <?php echo $model->AbgerechnetTS; ?> abgerechnet und kann nicht erneut abgerechnet werden, um eine Mehrfachauszahlung zu verhindern.

<?php else: ?>    


<?php 
    $model_artikel=Artikel::model(); //lade artikel model als zusätzlichen datenprovider
    $model_artikel->RefKundenNr=$model->KundenNr; //setze referenzkunde fix auf die ausgewählte kundennummer (für select und grid unten)
    //$this->renderPartial('../artikel/_form', array('model'=>$model_artikel)); 

?>
<br><h3>Artikelliste:</h3>
<?php $this->widget('zii.widgets.grid.CGridView', array(
    'id'=>'artikel-grid-print',
    'dataProvider'=>$model_artikel->searchForPrint(),
    'columns'=>array(
        'ArtikelNr',
        'Name',
        //'Kommentar',
        array(            
            'name'=>'Preis',
            'value'=> array($this,'getFormatedPreis') //function getKundenName aus kundenController
        ),
        'VerkauftFlag',
    ),
    'summaryText'=>'', //kein text Displaying 1-3 of 3 results.
    'enableSorting'=>false, //für ausdruck benötigt da sonnst sortlinks angezeigt werden
)); ?>

<h3>Berechnung:</h3>

<?php
    //lese werte aus konfig
    $calc_provision=(int)Parameter::model()->findByPk("abrechnung_provision_prozent")->Wert; 
    $calc_verwaltungsaufwand=(float)Parameter::model()->findByPk("abrechnung_betrag_verwaltungsaufwand")->Wert; 
    if($calc_verwaltungsaufwand<1)
        $string_verwaltungsaufwand=($calc_verwaltungsaufwand*100)." Cent";    
    else
        $string_verwaltungsaufwand=number_format ( $calc_verwaltungsaufwand , 2 , "," , "" )." €";  
        
    //verwaltungsaufwand aus kundenstamm ermitteln
    $show_verwaltung=true; 
    if(isset($model->VerwaltungBezahltFlag) && $model->VerwaltungBezahltFlag=="Ja")
    {
        $show_verwaltung=false;      
    }
    elseif(isset($model->VerwaltungBezahltFlag) && $model->VerwaltungBezahltFlag=="Nein")
    {
        $show_verwaltung=true;     
    }
    
    //berechne alle daten für diesen Kunden
    $return_array=Artikel::model()->calcKunde($model->KundenNr,$show_verwaltung);
    /*echo "<pre>";
    print_r($return_array);  
    echo "</pre>"; */
    
    echo "<table id=\"kunde_sum_table\">";
    echo "<tr><td>".$return_array["sum"]["text"]."</td><td class=\"td_align_right\">".$return_array["sum"]["readable"]."</td></tr>"; 
    if($show_verwaltung)
        echo "<tr><td> - minus ".$return_array["verwaltung"]["text"]." (".$return_array["anzahl"]["readable"]." Artikel je ".$string_verwaltungsaufwand.")</td><td class=\"td_align_right\">- ".$return_array["verwaltung"]["readable"]."</td></tr>"; 
    echo "<tr><td> - minus ".$return_array["provision"]["text"]." (".$calc_provision."% des Verkaufs)</td><td class=\"td_align_right\">- ".$return_array["provision"]["readable"]."</td></tr>"; 
    echo "<tr><td></td><td class=\"td_align_right\">----------------</td></tr>";
    echo "<tr><td>".$return_array["total"]["text"]."</td><td class=\"td_align_right\" id=\"kunde_sum_table_total\">".$return_array["total"]["readable"]."</td></tr>";
    echo "</table>";  
     
?>

<h3>Freigabe:</h3>

<?php echo Parameter::model()->findByPK("abrechnung_disclaimer")->Wert."<br>"; ?>

<br><br><?php echo Parameter::model()->findByPK("unterschrift_ort")->Wert.", am ".date("d.m.Y")." "; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unterschrift: _____________________


<?php endif; ?>   