<?php
/* @var $this SiteController */

$this->pageTitle=Yii::app()->name;
?>

<!--<h1 style="color: red;">Vorerfassung f&uuml;r Flohmarkt n&auml;chstes Wochenende, bitte sorgf&auml;ltig und gewissenhaft arbeiten und Etiketten verwenden :-) !!!</h1>-->
<!--<h1 style="color: green;">Testumgebung zum rumprobieren, bitte keine echten Namen und Telefonnummern verwenden.</h1>-->

<h1>Beschreibung der Anwendung <i><?php echo CHtml::encode(Yii::app()->name); ?></i></h1>


<h3>Prozesse</h3>

Grundsätzlich unterstützt die Anwendung vier Prozesse, Annahme, Verkauf, Abholung und Reklamation hier sind grob die einzelnen Schritte aufgelistet:<br><br>

<ul>
    <li>Annahme</li>
    <ul>
        <li>Erfassung von Kunde im System (Link: Kunde -> Erstelle Kunde)</li>
        <li>Etiketten mit Barcode/Artikelnummer nehmen auf alle Artikel geben und mit Preis beschriften</li>
        <li>Artikel mit Nummer, Name, Preis im System unter dem Kunden erfassen (Link: Kunde -> Kunde in Liste suchen -> hinten auf die Lupe klicken)</li>
        <li>Optional: bei Artikel mit hohem Wert kann man auf Artikel editieren gehen und ein Bild hochladen welches beim Verkauf angezeigt wird (Link: -> Artikel->Artikel suchen->Ändern)</li>
        <li>Annahmeliste 2x drucken, eine durch Kunde unterschreiben lassen und eine behalten</li>
    </ul>
    <li>Verkauf</li>
    <ul>
        <li>Alle Artikel die der Kunde haben möchte im System erfassen, darauf achten dass Artikel des Kunden auch mit der Artikelbeschreibung/Wert/Bild übereinstimmt (Link: Verkauf)</li>
        <li>Danach den Kunden die Summe bezahlen lassen und mit Button "Alle Artikel als verkauft markieren" den Verkauf im System speichern und gleichzeitig die Liste leeren</li>
        <li>Artikel als verkauft markieren: Barcode durchstreichen oder Artikel in Sackerl verpacken und zuklammern</li>
        <li>Optional: z.B. alle halbe Stunde die Liste der Verkäufe drucken, dadurch wären im Notfall relevanten Daten auch auf Papier vorhanden (Link: Verkauf -> Verkaufsübersicht -> Drucke Verkaufsliste)</li>
    </ul>
    <li>Abholung</li>
    <ul>
        <li>Optional: Als Vorbereitung kann man eine Liste aller nicht verkauftenb Artikel drucken und die Artikel Kundenweise zusammensuchen (Link: Artikel -> Liste nicht verkaufter Artikel)</li>
        <li>Kunde gibt seinen Namen od. KundenNr und wird im System gesucht (Link: Kunde -> Kunde in Liste suchen -> hinten auf die Lupe klicken)</li>
        <li>Abrechnung für Kunde drucken (Link: Seitenmenü -> Drucke Abrechnung  ), dieser Vorgang ist pro Kunde nur einmal möglich</li>
    </ul>
    <li>Reklamation</li>
    <ul>
        <li>Um eine Reklamation/Beschwerde zu erfassen geht man entweder unter der Artikelliste (Link: Artikel -> Artikelsuchen -> Reklamation erfassen) oder direkt unter dem Punkt Reklamation</li>
        <li>Für jede Reklamamtion wird zwingend eine Kundennummer und ein Artikel benötigt, gibt es den Kunden noch nicht dann muss er im System erfasst werden</li>
    </ul>
</ul> 
<a href="images/Prozesse.png" target="blank">Die Erstversion der Prozesse/Datenmodelle findet man hier.</a><br><br>



<h3>Tipps und Tricks</h3>

<ul>
<li>Suche: Man kann in den meisten Tabellen oben in den einzelnen Spalten Suchen indem man entweder einen Teil des zu suchenden Begriffs eingibt oder mit > Wert, < Wert, <> Wert bei Nummern die Suche eingrenzt. Zusätzlich können die Spalten auch mit Klick auf den Kopf sortiert werden.</li>
<br><li>Hotkeys: Man findet manchmal hinter einem Menüpunkt die Bezeichnung F1 oder ähnliches. Dies bedeutet, dass man den Menüpunkt dann mit der Taste F1 auf der tastatur aufrufen kann um schneller dahin zu springen.</li>
<br><li>Artikel/Kunden-Erfassung beschleunigen: Die Kunden oder Artikelerfassung kann ausschließlich über die Tastatur erfolgen. Der Ablauf wäre z.B. für einen neuen Kunden: F2 + Name + Tabulator + Telefonnummer + Enter. </li>
<br><li>Liste unter einer Erfassung zeigt plötzlich keine Daten mehr an: Kommt es bei der Erfassung zu einem Fehler wird die jeweilige Zeile rot markiert und ein Fehlertext ausgegeben. Gleichzeitig werden die Daten die darunter normalerweise dargestellt werden nicht mehr dargestellt. Sobald der Fehler behoiben ist werden die Daten wieder angezeigt.</li>
<br><li>Barcodeerfassung mit dem Handscanner funktioniert manchmal nicht: Wenn man mehrere Barcodes schnell hintereinander abschießt werden möglicherweise beide oder nur ein Teil eines Barcodes eingegeben. Es empfiehlt sich nach einer Barcode Eingabe mindestens eine Sekunde zu warten und weiters in der Liste darunter auch zu kontrollieren ob der Barcode korrekt auf einen passenden Artikel aufgelöst wurde.</li>
<br><li>Etikettendruck für bestimmte Artikelnummern: Um den Etikettendruck für andere Artikelnummern als 1-200 zu drucken muss der benötigte Wertebereich in der Browser-Adressenleiste angegeben werden. Aktuell steht dort _lable_print/index.php?von=1&bis=100. Möchte man nun die Etiketten 101 bis 200 drucken muss man _lable_print/index.php?von=101&bis=200 eingeben. Zu beachten ist dabei: es darf keine doppelten Etiketten geben.</li>
<br><li>Alle wichtigen Texte lassen sich unter Setup entsprechend ändern</li>
<br><li>Sollte eine Funktion nicht wie gewünscht funktionieren kann es helfen den browser Cache zu leeren, normalerweise ist die tastenkombination Strg+Shift+Entf</li>
</ul> 

<h3>Checkliste Hardware vorort</h3>

<ul>
<li>Netzwerkausrüstung (Switch, WLAN-AP, Netzwerkkabel, Stromkabel, Verteiler)</li>
<li>2 Drucker inkls. Papier und Toner</li>
<li>3 Barcodescanner</li>
<li>Laptop und Server</li>
</ul> 



<!--
<h3>Todos/zu besprechen/Ideen:</h3>

<ul>
<li>Zu besprechen: Was ist wenn ein Artikel aus mehreren Teilen besteht, zB ein Dirndl + Schal + 2 Schürzen soll als ganzes um 250€ verkauft werden -> 4 Pickerl benötigt? -> Lösung: handgeschrieben mit "leeren" Etiketten mit Text gehört zu ArtikelNr XX</li>
<br><li>Idee: Alles was mehr als X € Kostet in speziellen Bereich geben und ein Auge darauf haben, zwecks Pickerl umkleben etc. 
Alternativ alles was mehr als 100€ kostet als Foto im System ablegen (Eingabe von Kamera+FotoNr bei > 100€ erzwingen, Foto danach reingeben) und Foto bei Verkauf prüfen -> Lösung: Foto implementieren</li>
<br><li>Idee: Einen groben Plan was wo ist, damit es sortiert und leichter auffindbar ist. Kleidungen / Schuhe nach Größen etc.</li>
<br><li>Idee: Klar erkennbar welcher Tisch/Team welches Stück angenommen hat -> unterschiedliche Nummern Bereich, Stiftfarben für Preis etc. für Rückfragen</li>
<br><li>Todo: Parameter wartbar machen, alle Texte, Prozentsätze, Barcodegrößen/Spalten</li>
<br><li>Zu besprechen: Zusammensuchen der Artikel für Abholung ist zeitlich am intensivsten und vom wegkommen der Sachen problematisch.
Ein Lösungsansatz wäre alle Artikel für den Kunden durch uns vorzubereiten, was aber lange dauert. 
Ein anderer Ansatz wäre der Kunde sucht sich selbst seine Sachen zusammen, hier müssten wir aber aufpassen das jeder nur seine Sachen nimmt, d.h. am Ausgang wird kontrolliert und darf nur mitgenommen werden was auch auf der Liste steht.</li>
Zu bedenken ist auch wie wir mit der Anzahl an Leuten umgehen: Wer kommt bei der Abrechnung zuerst dran, nur max. 30 Leute auf einmal suchen ihre Sachen zusammen etc. -> Unterstützung durch: Liste aller Kunden/Artikel für Druck
<br><li>..?</li>
</ul> 
-->