<?php
/* @var $this KundenController */
/* @var $model Kunden */

$this->breadcrumbs=array(
	//'Kunden'=>array('index'),
	//$model->Name,
);

$this->menu=array(
	//array('label'=>'List Kunden', 'url'=>array('index')),
	//array('label'=>'Update Kunden', 'url'=>array('update', 'id'=>$model->ID)),
	//array('label'=>'Delete Kunden', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->ID),'confirm'=>'Are you sure you want to delete this item?')),
	//array('label'=>'Manage Kunden (F1)', 'url'=>array('admin')),
    //array('label'=>'Create Kunden (F2)', 'url'=>array('create')),
);
?>

<h1>Annahmeliste für Kunde <?php echo $model->KundenNr.": ".$model->Name.""; ?></h1>
Liste erstellt am <?php echo date("d.m.Y");?> um <?php echo date("H:i:s");?>.<br>

<br><h3>Kundendetails:</h3>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
		'KundenNr',
		'Name',
		'Telefon',
	),
)); ?>

<?php 
    $model_artikel=Artikel::model(); //lade artikel model als zusätzlichen datenprovider
    $model_artikel->RefKundenNr=$model->KundenNr; //setze referenzkunde fix auf die ausgewählte kundennummer (für select und grid unten)
    //$this->renderPartial('../artikel/_form', array('model'=>$model_artikel)); 

?>
<br><h3>Artikelliste:</h3>

<?php $this->widget('zii.widgets.grid.CGridView', array(
    'id'=>'artikel-grid-print',
    'dataProvider'=>$model_artikel->searchForPrint(),
    'columns'=>array(
        'ArtikelNr',
        'Name',
        //'Kommentar',
        array(            
            'name'=>'Preis',
            'value'=> array($this,'getFormatedPreis') //function getKundenName aus kundenController
        ),
    ),
    'summaryText'=>'', //kein text Displaying 1-3 of 3 results.
    'enableSorting'=>false, //für ausdruck benötigt da sonnst sortlinks angezeigt werden
)); ?>

<h3>Verwaltungsaufwand:</h3>
<?php
    
    //berechne alle daten für diesen Kunden
    $return_array=Artikel::model()->calcKunde($model->KundenNr,true); 
    $calc_provision=(int)Parameter::model()->findByPk("abrechnung_provision_prozent")->Wert; 
    $calc_verwaltungsaufwand=(float)Parameter::model()->findByPk("abrechnung_betrag_verwaltungsaufwand")->Wert; 
    if($calc_verwaltungsaufwand<1)
        $string_verwaltungsaufwand=($calc_verwaltungsaufwand*100)." Cent";    
    else
        $string_verwaltungsaufwand=number_format ( $calc_verwaltungsaufwand , 2 , "," , "" )." €";  
       
    if(isset($model->VerwaltungBezahltFlag) && $model->VerwaltungBezahltFlag=="Ja")
    {
        echo "Ist jetzt bei der Annahme zu bezahlen:";
        echo " (".$return_array["anzahl"]["readable"]." Artikel je ".$string_verwaltungsaufwand.") entspricht <b>Verwaltungsaufwand: ".$return_array["verwaltung"]["readable"]."</b>";   
    }
    elseif(isset($model->VerwaltungBezahltFlag) && $model->VerwaltungBezahltFlag=="Nein")
    {
        echo "Verwaltungsaufwand von ".$return_array["verwaltung"]["readable"]." ist erst bei der Abholung zu bezahlen.";    
    }
    else
    {
        echo "Fehler";
    }
    echo "<br><br>";
?>


<h3>Disclaimer:</h3>

<?php echo Parameter::model()->findByPK("annahmeliste_disclaimer")->Wert."<br>"; ?>

<br><br><?php echo Parameter::model()->findByPK("unterschrift_ort")->Wert.", am ".date("d.m.Y")." "; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unterschrift: _____________________