<?php
/* @var $this VerkaufController */
/* @var $data Verkauf */
?>

<?php
     //zuerst aus dem $model den jeweiligen Artikel suchen
     $last_scanned_artikel=Verkauf::model()->getLastScannedArtikel();
     $data=Artikel::model()->findByPk($last_scanned_artikel);
 ?>




<div class="view">    

    <?php if($last_scanned_artikel!=null): ?>
        <?php //echo CHtml::encode($data->getAttributeLabel('Name')); ?>
        <?php //echo CHtml::encode($data->Name); ?>
        <?php //echo CHtml::encode($data->getAttributeLabel('Preis')); ?>
        <?php 
        
            if(isset($data) && is_object($data) && isset($data->Name) && isset($data->ArtikelNr) && isset($data->Preis))
                echo "Zuletzt gescannter Artikel war: <b>".CHtml::encode($data->ArtikelNr)." - ".CHtml::encode($data->Name)."</b> um <b>".CHtml::encode(number_format ( $data->Preis , 2 , "," , "" )." €")."</b>";
            else
                echo "Zuletzt gescannter Artikel konnte nicht ermittelt werden.";   
            
        ?>
        
        <?php
        //eventuell hier auch highslider einbinden http://www.yiiframework.com/wiki/12/how-to-use-highslide-for-image-popups/
        
        //alte variante vollbild skaliert darstellen -> große datenmenge
        //$imghtml=CHtml::image(Yii::app()->request->baseUrl.'/images/upload/'.$data->Image,"",array("width"=>400));
        
        //thumbnail automatisch generieren und cachen -> kleine datenmenge, siehe auch http://www.yiiframework.com/extension/easyimage
        if(isset($data->Image) && $data->Image!=null && file_exists(Yii::getPathOfAlias('webroot').'/images/upload/'.$data->Image))
        {
            $imghtml=Yii::app()->easyImage->thumbOf(Yii::getPathOfAlias('webroot').'/images/upload/'.$data->Image, 
              array(
                'resize' => array('width' => 350),
              ));
            
            echo "<br/>".CHtml::link($imghtml, Yii::app()->request->baseUrl.'/images/upload/'.$data->Image, array("target"=>"_blank"));
        }
        ?>
    <?php else: ?>
        <div style="color:#ff0000;font-size:200%;">Keine Artikeldaten gefunden!</div>
    <?php endif; ?>
    


</div>